using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
    static void Main(string[] args)
    {
        string[] s1 = Console.ReadLine().Split();
        int n = int.Parse(s1[0]);
        int k = int.Parse(s1[0]);
        List<int> spil = new List<int>(n);
        string[] s2 = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            spil[i] = int.Parse(s2[i]);
        }
        int pozicija = spil.FindIndex(x => x == k);
        if (pozicija == n - 1)
        {
            Console.WriteLine(spil[0]);
        }
        else
        {
            Console.WriteLine(spil[pozicija + 1]);
        }
    }
}